Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class STSPolicyTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.STSPolicyTO

All Implemented Interfaces:
  Serializable

public class STSPolicyTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`STSPolicyTO()`
`STSPolicyTO(String privacyUrl, String privacyVersion)`

Method Summary
`boolean` | `equals(Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getPrivacyUrl()` Gets the privacyUrl value for this STSPolicyTO.
`String` | `getPrivacyVersion()` Gets the privacyVersion value for this STSPolicyTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setPrivacyUrl(String privacyUrl)` Sets the privacyUrl value for this STSPolicyTO.
`void` | `setPrivacyVersion(String privacyVersion)` Sets the privacyVersion value for this STSPolicyTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STSPolicyTO

    public STSPolicyTO()

### STSPolicyTO

    public STSPolicyTO(String privacyUrl,
                       String privacyVersion)

Method Detail

### getPrivacyUrl

    public String getPrivacyUrl()

  Gets the privacyUrl value for this STSPolicyTO.

  Returns:
    privacyUrl

### setPrivacyUrl

    public void setPrivacyUrl(String privacyUrl)

  Sets the privacyUrl value for this STSPolicyTO.

  Parameters:
    `privacyUrl` -

### getPrivacyVersion

    public String getPrivacyVersion()

  Gets the privacyVersion value for this STSPolicyTO.

  Returns:
    privacyVersion

### setPrivacyVersion

    public void setPrivacyVersion(String privacyVersion)

  Sets the privacyVersion value for this STSPolicyTO.

  Parameters:
    `privacyVersion` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD